package com.hongyegroup.cpt_parttime.mvvm

import com.guadou.lib_baselib.base.vm.BaseViewModel
import com.hongyegroup.cpt_parttime.R
import com.hongyegroup.cpt_parttime.adapter.PopupTextAdapter

class PopupLocationViewModel : BaseViewModel() {

    val nearbyDatas = mutableListOf("不限", "3km", "5km", "10km", "15km", "20km")
    val areasDatas = mutableListOf("武汉", "江岸", "武昌", "江汉", "硚口", "汉阳", "青山", "硚口", "东西湖", "江夏", "纸坊")
    val streetDatas = mutableListOf("民族", "水塔", "民岸", "满春", "民权", "新华", "万松", "唐家墩", "江汉路")

    val mAreasDatas = mutableListOf<String>()
    val mStreetDatas = mutableListOf<String>()
    val mNearbyDatas = mutableListOf<String>()
    val mAreasAdapter by lazy { PopupTextAdapter(mAreasDatas, R.layout.item_popup_location_text) }
    val mStreetAdapter by lazy { PopupTextAdapter(mStreetDatas, R.layout.item_popup_location_text) }
    val mNearbyAdapter by lazy { PopupTextAdapter(mNearbyDatas, R.layout.item_popup_location_padding_text) }

}